Retrieve Asynchronous Job Status

get

/r-scripts/v2/jobs/{jobId}

Retrieves the status of the asynchronous job.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

202 Response

Job is still pending.
Body ()
Root Schema : JSONObject
Type: object
Show Source

302 Response

Returns the Content-Location header where the result of the job can be fetched.
Headers

401 Response

When the user doesn't have privileges to perform the action.
Body ()
Root Schema : UnauthorizedException
Type: object
Show Source

500 Response

Problem connecting to Broker, finding the job id or other unexpected error.
Body ()
Root Schema : ComputeContainerException
Type: object
Show Source
Back to Top

Examples

The following example gets the status of an asynchronous job.

curl -i -X GET --header "Authorization: Bearer ${token}" \
--header 'Accept: application/json' \
"<oml-cloud-service-location-url>/oml/api/r-scripts/v2/jobs/<job id>"

Response Headers

  • Response status 202: The HTTP response status 202 indicates the job is accepted and it is pending.
    HTTP/2 202 
    date: Wed, 12 Mar 2025 23:09:20 GMT
    content-type: application/json
    content-length: 93
    strict-transport-security: max-age=31536000; includeSubDomains
    x-content-type-options: nosniff
    {
        "createdDate": "2026-01-26 20:35:22 UTC",
        "status": "job is still running",
        "elapsedTime": "00:00:14"
    }
  • Response status 302: The HTTP response status 302 indicates the job is completed and includes Content-Location header where the result can be fetched.
    HTTP/2 302 
    server: nginx/1.14.1
    date: Mon, 04 Aug 2025 18:36:57 GMT
    content-length: 0
    strict-transport-security: max-age=31536000;includeSubDomains
    x-content-type-options: nosniff 
    Content-Location: https://<oml-service-url>/oml/api/r-scripts/v2/jobs/<job_id>/result
Back to Top